# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::SceneManagerActorKdTree Class Reference

A SceneManagerBVH that implements its spatial partitioning strategy using an ActorKdTree. More...

`#include <SceneManagerActorKdTree.hpp>`

Inheritance diagram for vl::SceneManagerActorKdTree:

List of all members.

## Public Member Functions

| SceneManagerActorKdTree ()

## Detailed Description

A SceneManagerBVH that implements its spatial partitioning strategy using an ActorKdTree.

See also:
  - Actor
  - ActorKdTree
  - ActorTree
  - SceneManager
  - SceneManagerBVH
  - SceneManagerActorTree
  - SceneManagerPortals

Definition at line 52 of file SceneManagerActorKdTree.hpp.

## Constructor & Destructor Documentation

vl::SceneManagerActorKdTree::SceneManagerActorKdTree | ( | ) | `[inline]`

Definition at line 57 of file SceneManagerActorKdTree.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/SceneManagerActorKdTree.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:50.
Permission is granted to use this page to write and publish articles regarding Visualization Library.